Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class SimpleElement.AttributeMap

`java.lang.Object
java.util.AbstractMap
com.tangosol.run.xml.SimpleElement.AttributeMap`

All Implemented Interfaces:
  ExternalizableLite, java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  SimpleElement

      public class SimpleElement.AttributeMap

extends java.util.AbstractMap
implements java.lang.Cloneable, java.io.Serializable, ExternalizableLite

A Map implementation using a list that can be a read-only map that supports only Strings for keys and XmlValue for values.

As of Coherence 3.2, this is an inlined version of the old ListMap.

Nested Class Summary
`class` | `SimpleElement.AttributeMap.Entry` An implementation of Entry that supports keeping them in a list.
`protected class` | `SimpleElement.AttributeMap.EntrySet` A Set implementation to hold Entry objects.

Constructor Summary
`SimpleElement.AttributeMap()`

Method Summary
`void` | `clear()` Removes all mappings from this map (optional operation).
`java.lang.Object` | `clone()` Returns a shallow copy of this `AbstractMap` instance: the keys and values themselves are not cloned.
`boolean` | `containsKey(java.lang.Object key)` Returns `true` if this map contains a mapping for the specified key.
`java.util.Set` | `entrySet()` Returns a set view of the mappings contained in this map.
`boolean` | `equals(java.lang.Object o)` Compares the specified object with this map for equality.
`protected SimpleElement.AttributeMap.Entry` | `findEntry(java.lang.Object oKey)` Find an entry with the specified key.
`java.lang.Object` | `get(java.lang.Object key)` Returns the value to which this map maps the specified key.
`protected SimpleElement.AttributeMap.Entry` | `getFirstEntry()` Return the first entry in the list..
`protected SimpleElement.AttributeMap.Entry` | `instantiateEntry(java.lang.Object oKey, java.lang.Object oVal)` Instantiate an Entry instance.
`protected java.util.Set` | `instantiateEntrySet()` Instantiate an Entry Set.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Associates the specified value with the specified key in this map (optional operation).
`void` | `readExternal(java.io.DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`java.lang.Object` | `remove(java.lang.Object key)` Removes the mapping for this key from this map if present (optional operation).
`int` | `size()` Returns the number of key-value mappings in this map.
`void` | `writeExternal(java.io.DataOutput out)` Save the contents of this object by storing the object's state into the passed DataOutput object.

Methods inherited from class java.util.AbstractMap
`containsValue, hashCode, isEmpty, keySet, putAll, toString, values`

Constructor Detail

### SimpleElement.AttributeMap

    public SimpleElement.AttributeMap()

Method Detail

### size

    public int size()

  Description copied from class: `java.util.AbstractMap`
  Returns the number of key-value mappings in this map. If the map contains more than `Integer.MAX_VALUE` elements, returns `Integer.MAX_VALUE`.

  This implementation returns `entrySet().size()`.

  Specified by:
    `size` in interface `java.util.Map`
  Overrides:
    `size` in class `java.util.AbstractMap`
  Returns:
    the number of key-value mappings in this map.

### containsKey

    public boolean containsKey(java.lang.Object key)

  Description copied from class: `java.util.AbstractMap`
  Returns `true` if this map contains a mapping for the specified key.

  This implementation iterates over `entrySet()` searching for an entry with the specified key. If such an entry is found, `true` is returned. If the iteration terminates without finding such an entry, `false` is returned. Note that this implementation requires linear time in the size of the map; many implementations will override this method.

  Specified by:
    `containsKey` in interface `java.util.Map`
  Overrides:
    `containsKey` in class `java.util.AbstractMap`
  Parameters:
    `key` - key whose presence in this map is to be tested.
  Returns:
    `true` if this map contains a mapping for the specified key.

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from class: `java.util.AbstractMap`
  Returns the value to which this map maps the specified key. Returns `null` if the map contains no mapping for this key. A return value of `null` does not necessarily indicate that the map contains no mapping for the key; it's also possible that the map explicitly maps the key to `null`. The containsKey operation may be used to distinguish these two cases.

  This implementation iterates over `entrySet()` searching for an entry with the specified key. If such an entry is found, the entry's value is returned. If the iteration terminates without finding such an entry, `null` is returned. Note that this implementation requires linear time in the size of the map; many implementations will override this method.

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`
  Parameters:
    `key` - key whose associated value is to be returned.
  Returns:
    the value to which this map maps the specified key.
  See Also:
    `AbstractMap.containsKey(Object)`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Description copied from class: `java.util.AbstractMap`
  Associates the specified value with the specified key in this map (optional operation). If the map previously contained a mapping for this key, the old value is replaced.

  This implementation always throws an `UnsupportedOperationException`.

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`
  Parameters:
    `key` - key with which the specified value is to be associated.
    `value` - value to be associated with the specified key.
  Returns:
    previous value associated with specified key, or `null` if there was no mapping for key. (A `null` return can also indicate that the map previously associated `null` with the specified key, if the implementation supports `null` values.)

### remove

    public java.lang.Object remove(java.lang.Object key)

  Description copied from class: `java.util.AbstractMap`
  Removes the mapping for this key from this map if present (optional operation).

  This implementation iterates over `entrySet()` searching for an entry with the specified key. If such an entry is found, its value is obtained with its `getValue` operation, the entry is removed from the Collection (and the backing map) with the iterator's `remove` operation, and the saved value is returned. If the iteration terminates without finding such an entry, `null` is returned. Note that this implementation requires linear time in the size of the map; many implementations will override this method.

  Note that this implementation throws an `UnsupportedOperationException` if the `entrySet` iterator does not support the `remove` method and this map contains a mapping for the specified key.

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.AbstractMap`
  Parameters:
    `key` - key whose mapping is to be removed from the map.
  Returns:
    previous value associated with specified key, or `null` if there was no entry for key. (A `null` return can also indicate that the map previously associated `null` with the specified key, if the implementation supports `null` values.)

### clear

    public void clear()

  Description copied from class: `java.util.AbstractMap`
  Removes all mappings from this map (optional operation).

  This implementation calls `entrySet().clear()`. Note that this implementation throws an `UnsupportedOperationException` if the `entrySet` does not support the `clear` operation.

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.AbstractMap`

### entrySet

    public java.util.Set entrySet()

  Description copied from class: `java.util.AbstractMap`
  Returns a set view of the mappings contained in this map. Each element in this set is a Map.Entry. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. (If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined.) The set supports element removal, which removes the corresponding entry from the map, via the `Iterator.remove`, `Set.remove`, `removeAll`, `retainAll` and `clear` operations. It does not support the `add` or `addAll` operations.
  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`
  Returns:
    a set view of the mappings contained in this map.

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `java.util.AbstractMap`
  Compares the specified object with this map for equality. Returns `true` if the given object is also a map and the two maps represent the same mappings. More formally, two maps `t1` and `t2` represent the same mappings if `t1.keySet().equals(t2.keySet())` and for every key `k` in `t1.keySet()`, `(t1.get(k)==null ? t2.get(k)==null : t1.get(k).equals(t2.get(k)))` . This ensures that the `equals` method works properly across different implementations of the map interface.

  This implementation first checks if the specified object is this map; if so it returns `true`. Then, it checks if the specified object is a map whose size is identical to the size of this set; if not, it returns `false`. If so, it iterates over this map's `entrySet` collection, and checks that the specified map contains each mapping that this map contains. If the specified map fails to contain such a mapping, `false` is returned. If the iteration completes, `true` is returned.

  Specified by:
    `equals` in interface `java.util.Map`
  Overrides:
    `equals` in class `java.util.AbstractMap`
  Parameters:
    `o` - object to be compared for equality with this map.
  Returns:
    `true` if the specified object is equal to this map.

### clone

    public java.lang.Object clone()

  Description copied from class: `java.util.AbstractMap`
  Returns a shallow copy of this `AbstractMap` instance: the keys and values themselves are not cloned.
  Overrides:
    `clone` in class `java.util.AbstractMap`
  Returns:
    a shallow copy of this map.

### readExternal

    public void readExternal(java.io.DataInput in)
                      throws java.io.IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `java.io.IOException` - if an I/O exception occurs
    `java.io.NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(java.io.DataOutput out)
                       throws java.io.IOException

  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `java.io.IOException` - if an I/O exception occurs

### instantiateEntry

    protected SimpleElement.AttributeMap.Entry instantiateEntry(java.lang.Object oKey,
                                                                java.lang.Object oVal)

  Instantiate an Entry instance. This method permits inheriting classes to easily override the implementation of Entity.

### findEntry

    protected SimpleElement.AttributeMap.Entry findEntry(java.lang.Object oKey)

  Find an entry with the specified key.
  Parameters:
    `oKey` - the key to search for
  Returns:
    the entry with the specified key or null if the key could not be found

### getFirstEntry

    protected SimpleElement.AttributeMap.Entry getFirstEntry()

  Return the first entry in the list..
  Returns:
    the first entry in the list

### instantiateEntrySet

    protected java.util.Set instantiateEntrySet()

  Instantiate an Entry Set. This method permits inheriting classes to easily override the implementation of the Entity Set.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.